AddCSLuaFile( "cl_init.lua" )
AddCSLuaFile( "shared.lua" )
include('shared.lua')

function ENT:Initialize()

	self.Entity:SetModel("models/maxofs2d/balloon_classic.mdl") 
	self.Entity:PhysicsInit( SOLID_VPHYSICS )
	self.Entity:SetMoveType( MOVETYPE_VPHYSICS )
	self.Entity:SetSolid( SOLID_VPHYSICS )

	self.Entity:DrawShadow( true )
	self.Entity:SetCollisionGroup( SOLID_VPHYSICS )
	self.Entity:SetModelScale( 0.5, 0 )
end

function ENT:PhysicsCollide()
	self:Explosion()		
end

function ENT:Explosion()

	pos = self.Entity:GetPos()
	local splash = EffectData()
	splash:SetOrigin(pos)
	splash:SetEntity(self.Owner)
	splash:SetScale(10)
	util.Effect("watersplash", splash)
	for id, prop in pairs( ents.FindInSphere( pos, 80 ) ) do
		if ( prop:GetPos():Distance( self:GetPos() ) < 256 ) then
			if ( prop:IsValid() ) then
				if ( prop:IsOnFire() ) then prop:Extinguish() end

				local class = prop:GetClass()
				if ( string.find( class, "ent_minecraft_torch" ) and prop:GetWorking() ) then
					prop:SetWorking( false )
				elseif ( string.find( class, "env_fire" ) ) then
					prop:Fire( "Extinguish" )
				end
			end
		end
	end
	timer.Simple(0.01,function() self.Entity:Remove() self.Entity:EmitSound("garrysmod/balloon_pop_cute.wav") end) --Gay workaround to stopping spam on console
end